PDA

View Full Version : Compiling OpenGL Apps



nukem
01-21-2004, 08:25 PM
I just upgraded my gentoo system and now if I want to compile any apps that require the OpenGL libs it fails. I have to do opengl-update xfree compile the app then do opengl-update nvidia to change it back to the nvidia drivers. I did not have to do this before I ran the update. How can I fix this?

Thanks

nuke

dorbie
01-21-2004, 10:39 PM
This is probably fixable, what specific compile errors are you getting when you can't compile after the NVIDIA driver install?

pkaler
01-22-2004, 09:51 AM
Sounds like a Gentoo specific question. The Gentoo discussion forums are the best on the web. Bar none.

Make sure that you have the nVidia drivers installed:



# emerge -pv nvidia-glx nvidia-kernel



If you don't have them installed then install them.



# emerge nvidia-glx nvidia-kernel
# opengl-update nvidia


I imagine that you are either not linking or including correctly. Make sure you use -I/usr/X11R6/include and -L/usr/X11R6/lib when you invoke gcc.

The other problem may be that you are not actually using the nVidia drivers. What does glxinfo say?

Also make sure that you use the same version of gcc to compile your kernel, XFree, and your drivers.

That's all I can think of off the top of my head. It'd be better if you could actually post the error message that you are getting.

One of these days I'm gonna write an OpenGL install HOWTO and a development/compile HOWTO.

nukem
01-22-2004, 07:25 PM
PK: you were right the problem was that I compiled my kernel, xfree and a few other things on an older version of gcc. Now that I have recompiled them its working now.

Thanks

nuke